WordPress.org

Ready to get started?Download WordPress

Forums

Len Slider
Len Slider Manager with User Role Editor: not working, admin menu not available (4 posts)

  1. Shashank Shekhar
    Member
    Posted 8 months ago #

    Hi,
    I am using latest Len Slider 2.0.11 with wordpress 3.7.1. I have also latest version of user role editor plugin 4.6.
    Further I have created a custom role with capabilities almost similar to wordpress editor role, created a siteadmin user with this role. Now, added capabilities to this user using user role editor panel, called 'Len slider Manager' (lenslider_manage).
    But after login with this user, he not able to see Len-Slider menu and submenus in wp-admin to edit/add/manage slides or slider settings.

    In short, a user in wordpress admin, have given the capability for 'Len Slider Manager'(lenslider_manage), but still he not able to see Len slider menus in admin, so that he can manage it. Also, opening directly the admin url for len slider, getting wordpress insufficient permission error.

    Please let me know, what is the use of len slider manager capability, if user given permission not able to see or use it?
    Kindly help me in this.

    Thanks.

    http://wordpress.org/plugins/len-slider/

  2. Shashank Shekhar
    Member
    Posted 7 months ago #

    Is this issue considered? Please fix it.

  3. Shashank Shekhar
    Member
    Posted 5 months ago #

    Its too disappointing that no one bother to answer this important question in past 2 months, even the author didn't responded. Now using Len Slider 2.0.11 with wordpress 3.8.

    But I somehow after so many hit and trials got a workaround for this.
    In fact what I found is, Len Slider menu and settings doesn't only need 'Len Slider Manager'(lenslider_manage)capability; It needs 'Activate Plugins' (activate_plugins) capability in addition to it.
    Don't know why? but it now work with this and Len Slider menu now visible with user editor custom role login and settings can now be edited and saved for it.

    Earlier my custom role 'sitadmin' had only capability 'Len Slider Manager'(lenslider_manage)and several other ones, becoz I didn't want this user be able to see/activate/install plugins. But as to what I found now, for Len slider to work, I must have to give 'Activate Plugins' (activate_plugins) capability in addition to it. Now it worked, but this user can now see list and activate/deactivate plugins, which I don't want.

    Author requested to add this point in plugin description/faqs so other users benefit. Please someone explain and throw some light on it. Also, try to fix this vulnerability.

    Thanks.

  4. Marisolinsky
    Member
    Posted 2 months ago #

    OMG! thank you very much, i've been looking for this capability for my "Editor" role, I install the "Advanced Access Manager" and activate activate_plugins capability in addition to it plugin. All works OK.

    Sorry for my English, thanks a lot!

Reply

You must log in to post.